<?php

/** @var \Kirby\Cms\Block $block */ ?>
<?php
$pre_class = $block->pre_class()->isNotEmpty() ? $block->pre_class()->value() : '';
$responsive_hide = $block->responsive_hide()->isNotEmpty() ? $block->responsive_hide()->value() : '';
$class = $block->cssclass()->or('');
$element_id = $block->cssid();
?>
<<?= $level = $block->level()->or('h2') ?>
    <?= e($block->cssid()->isNotEmpty(), 'id="' . $element_id . '"') ?>
    <?= e($block->pre_class()->isNotEmpty() || $block->cssclass()->isNotEmpty() || $block->responsive_hide()->isNotEmpty(), 'class="' . $class . ' ' . $pre_class . ' ' . $responsive_hide . '"') ?>> <?= $block->text()->permalinksToUrls() ?> </<?= $level ?>>